Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Network_Priority_Mapping_Manager_out Class Reference

`#include <Network_Priority_Mapping_Manager.h>`

Collaboration diagram for TAO_Network_Priority_Mapping_Manager_out:

[legend]
List of all members.

## Public Methods
| TAO_Network_Priority_Mapping_Manager_out (TAO_Network_Priority_Mapping_Manager_ptr &)
| TAO_Network_Priority_Mapping_Manager_out (TAO_Network_Priority_Mapping_Manager_var &)
| TAO_Network_Priority_Mapping_Manager_out (const TAO_Network_Priority_Mapping_Manager_out &)
TAO_Network_Priority_Mapping_Manager_out & | operator= (const TAO_Network_Priority_Mapping_Manager_out &)
TAO_Network_Priority_Mapping_Manager_out & | operator= (const TAO_Network_Priority_Mapping_Manager_var &)
TAO_Network_Priority_Mapping_Manager_out & | operator= (TAO_Network_Priority_Mapping_Manager_ptr)
| operator TAO_Network_Priority_Mapping_Manager_ptr & ()
TAO_Network_Priority_Mapping_Manager_ptr & | ptr (void)
TAO_Network_Priority_Mapping_Manager_ptr | operator-> (void)
## Private Attributes
TAO_Network_Priority_Mapping_Manager_ptr & | ptr_

## Constructor & Destructor Documentation

TAO_Network_Priority_Mapping_Manager_out::TAO_Network_Priority_Mapping_Manager_out | ( | TAO_Network_Priority_Mapping_Manager_ptr & |  | ) |

TAO_Network_Priority_Mapping_Manager_out::TAO_Network_Priority_Mapping_Manager_out | ( | TAO_Network_Priority_Mapping_Manager_var & |  | ) |

TAO_Network_Priority_Mapping_Manager_out::TAO_Network_Priority_Mapping_Manager_out | ( | const TAO_Network_Priority_Mapping_Manager_out & |  | ) |

## Member Function Documentation

TAO_Network_Priority_Mapping_Manager_out::operator TAO_Network_Priority_Mapping_Manager_ptr & | ( |  | ) |

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager_out::operator-> | ( | void |  | ) |

TAO_Network_Priority_Mapping_Manager_out& TAO_Network_Priority_Mapping_Manager_out::operator= | ( | TAO_Network_Priority_Mapping_Manager_ptr |  | ) |

TAO_Network_Priority_Mapping_Manager_out& TAO_Network_Priority_Mapping_Manager_out::operator= | ( | const TAO_Network_Priority_Mapping_Manager_var & |  | ) |

TAO_Network_Priority_Mapping_Manager_out& TAO_Network_Priority_Mapping_Manager_out::operator= | ( | const TAO_Network_Priority_Mapping_Manager_out & |  | ) |

TAO_Network_Priority_Mapping_Manager_ptr& TAO_Network_Priority_Mapping_Manager_out::ptr | ( | void |  | ) |

## Member Data Documentation

TAO_Network_Priority_Mapping_Manager_ptr& TAO_Network_Priority_Mapping_Manager_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- Network_Priority_Mapping_Manager.h